 //来电弹屏
  laydate.skin('molv');

    laydate({
        elem: '#old_startTime',
        event: 'focus'
    });

    laydate({
        elem: '#old_endTime',
        event: 'focus'
    });
    laydate({
        elem: '#con_startTime',
        event: 'focus'
    });

    laydate({
        elem: '#con_endTime',
        event: 'focus'
    });
    
    //权限展示
    $.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetCurrUserDep', {
        "token": $.cookie("token")
    }, function (result) {
        if (result.state.toLowerCase() == "success") {
            console.log(result);
            if(result.data.groname=="客服组"){
          		$(".KF").show();
            }else{
            	$(".SC").show();
            	$("#SCorderlist").show();
            }
        }
    })
      //弹屏右侧切换效果
     $(".ldtp-cr ul.ld-service li").click(function () {
                $(this).addClass("cr-click").siblings().removeClass("cr-click");
                loadOld();
            });
             $('.pre-add').click(function () {
                var par = $(this).parent().parent();
                par.hide().siblings().show();
            })
            
      //来电时传输的数据
    var Number=helper.request.queryString("Number");
    var CallID=helper.request.queryString("CallID");
    var KHid;
//  $(".ldhm").val(Number);
    $(".hidTel").val(Number);
    $(".tel").text(Number);
    $("#zxdh_").val(Number);
	$("#tsdh").val(Number);
    $(".ldtime").text(top.getNowFormatDate());
    $(".thsc").text("00:00");
    $(".hidCallID").val(CallID);
    //获取信息
	var UserCode;
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetNowUser', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			if(result.data.role) {
//				console.log(result.data);
				UserCode = result.data.user.F_UserCode;
			}

		}
	})
    
      //获取电话所属地
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
		"tel": $(".hidTel").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".khgsd").text(result.data);
//			$(".ldlocation").text(result.data);
		}
	})
	//获取客户信息
	$(".ldtel").text($(".hidTel").val());
	$("#tsdh").val($(".hidTel").val());
	$(".ldtel1").val($(".hidTel").val());
	$.getJSON(huayi.config.callcenter_url + 'Customer/GetCustomerByTel', {
		"tel": $(".hidTel").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
				KHid=result.data.F_CustomerId;
				$('.ldname').val(result.data.F_CustomerName);//客户姓名
				$(".ldtel1").val(Number);//联系电话
				$("#testInput2").val(result.data.F_Province);//省份
				$("#testInput1").val(result.data.F_CustomerIndustry);//来电单位
				//客服部显示
				$("#callCustomer").val(result.data.F_CustomerName);//客户姓名
				$("#Tel").val(Number);//联系电话
				$("#lddep").val(result.data.F_CustomerIndustry );//来电单位
				$("#fkdep").val(result.data.fkdep)
				//市场部显示
				$("#marketName").val(result.data.F_CustomerName);
                $("#marketTel").val(Number);
                $("#lddepr").val(result.data.F_CustomerIndustry);
                $("#fkdep").val(result.data.fkdep)
		}
	})
    
    var timestamp = Date.parse(new Date());
	//呼叫中心传入城管平台参数
	$.ajax({
		type: "get",
		url: 'http://61.54.5.100:8086/callcenter/PutTel?',
		async: true,
		dataType: 'json',
		data: {
			id: UserCode,
			tel: $(".hidTel").val(),
			time: timestamp
		},
		success: function(data) {}
	});

//	$('.maxOpen').trigger("click");
	$('.head-pic .lahei .la-before').show();
	 //触发来电类型第一个 点击；
//  $("#dicValueList li:first-child").find("label").trigger('click');
	$('.head-pic .lahei .la-after').hide();
//	$(".Bacha").hide();
    
    function clearInter(){
    	 clearInterval(timer);
    }
    //通话中执行变化
    var timer,n=0;
    function calling(){
    	$(".td-call").show();
    	n=0;
    	 clearInterval(timer);
        timer = setInterval(function () {
            n++;
            var m = parseInt(n / 60 % 60);
            var s = parseInt(n % 60);
//          var thsc=toDub(m) + ":" + toDub(s);
            $(".thsc").text(toDub(m) + ":" + toDub(s));
        }, 1000);
    	
    	
    }
    
function toDub(i) {
    return i < 10 ? "0" + i : "" + i;
}
    //最大化 最小化效果
    //最小化
//  $('.minClosed').click(function () {
//      $('.ldtp-con').removeClass('fadeInDown');
//      $('.ldtp-con').addClass('fadeOutUp');
//      $('.ldtp-con').css("display", "none");
//      $('.maxOpen').show();
//      $('.maxOpen').addClass('fadeInDown');
//  });

    //最大化
//  $('.maxOpen').click(function () {
//      //触发来电类型第一个 点击；测试用
//      //$("#dicValueList li:first-child").find("label").trigger('click');
//      $('.ldtp-con').removeClass('fadeOutUp');
//      $('.ldtp-con').addClass('fadeInDown');
//      $('.ldtp-con').css("display", "block");
//      $('.maxOpen').hide();
//      $('.maxOpen').removeClass('fadeInDown');
//      $('.maxOpen').addClass('fadeInDown');
//      $('.first').removeClass('first');
//      $('.ldtp-con').addClass('first');
//
//  })




    //关闭弹框
//  $(".Bacha").click(function () {
//      //清除来电类型样式
//      //debugger;
//      $('#dicValueList li').find("label").removeClass('checkedDept');
//      $('.ldtp-con').removeClass('fadeInDown');
//      $('.ldtp-con').addClass('fadeOutUp');
//      $('.ldtp-con').css("display", "none");
//      Clean();
//      top.obj.Type = "SayFree";
//      top.Send();
//  })
    //顶部小头像
//  var little_pic = $('.head-pic .hp-box img').attr("src");
//  $('.maxOpen li .photo img').attr("src", little_pic);
    //点击左侧菜单来电弹屏显示
//  $('.tantan').click(function () {
//      $('.maxOpen').trigger("click");
//      $('.head-pic .lahei .la-before').show();
//      $('.head-pic .lahei .la-after').hide();
//
//  })

    //点击挂断
    $('.head-pic .td-call .take').click(function () {
        top.obj.Type = "DropCall";
//   	top.obj.Type = "TurnIvr";
//      top.obj.AgentID = $.cookie("zx_user");
//      top.obj.AgentExten = $.cookie("extno");
      	top.obj.IvrName = "MYD";
     	 top.obj.IvrPos = "1";
       	top.Send();
    });
    //点击拉黑事件				
    $('.head-pic .lahei .la-before').click(function () {
        if (!$(".hidTel").val()) {
            layer.confirm('来电号码为空！', {
                btn: ['确定']
            });
            return;
        }
        $("#time-word").val('');
        $('.ldtp-con .hei-list').show();

    })
    //拉黑输入框事件
    $('.hei-list .bacha').click(function () {
        $('.ldtp-con .hei-list').hide();
        $("#time-word").val('');
    })
   var reg = /^\+?[1-9][0-9]*$/;

     $('#bc').click(function () {
                var n = $("#time-word").val();
                var val = $("input[name='time']:checked").val();
                if (n) {
                    if (!(reg.test(n))) {
                        layer.confirm('请输入整数时间！', {
                            btn: ['确定']
                        });
                        return;
                    }
                }
                else {
                    if (val == '4') {
                        n = 0;
                    }
                    else {
                        layer.confirm('请输入整数时间！', {
                            btn: ['确定']
                        });
                        return;
                    }
                }
                $.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', { tel: $(".hidTel").val(), num: n, type: val, "token": $.cookie("token") }, function (result) {
                    result = $.parseJSON(result);
                    if (result.state.toLowerCase() == "success") {

                        layer.msg("拉入黑名单成功");

                        $('.la-shichang .blackTime').html(result.data);
                        //$('.ldtp-con .hei-list').removeClass('bounceIn');
                        //$('.ldtp-con .hei-list').addClass('bounceOutUp');
                        $('.ldtp-con .hei-list').hide();
                        $('.head-pic .lahei .la-before').hide();
                        $('.head-pic .lahei .la-after').show();
                        $('.head-pic .lahei .retur').show();
                    }
                })
            })
          

    $('.la-after').click(function () {
        if (!$(".hidTel").val()) {
            layer.confirm('来电号码为空！', {
                btn: ['确定']
            });
            return;
        }

        $("#time-word").val('');
        $('.ldtp-con .hei-list').show();
        $('.ldtp-con .hei-list').removeClass('bounceOutUp');
        $('.ldtp-con .hei-list').addClass('bounceIn');
    })
    
      $('.head-pic .lahei .retur').click(function () {
                $.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', { tel: $(".hidTel").val(), "token": $.cookie("token") }, function (result) {
                    if (result.state.toLowerCase() == "success") {
                        layer.msg("取消黑名单成功");
                        $('.head-pic .lahei .retur').hide();
                        $('.head-pic .lahei .la-after').hide();
                        $('.head-pic .lahei .la-before').show();
                    }
                })
            })
     
        
         $(".col-sm-3").mouseleave(function () {
                $(".ztree").parent().hide();
            })
     
     //编辑器配置
 KindEditor.ready(function(K) {
                window.changeEditor = K.create('#fkcont');//修改弹出框编辑器
                window.Editor = K.create('#fkcont_market');//修改弹出框编辑器
        })
    //创建投诉工单
      $(".addts").click(function () {
                var marketName = $("#marketName").val();
                var marketTel = $("#marketTel").val();
                var lddep_market = $("#lddep").val();
                var fkdep_market = $("#testInput1_").val();
                var fkcont_market = encodeURIComponent(Editor.html());;
                var callid = $(".hidCallID").val();
                if (!marketName) {
                    layer.confirm('请输入姓名！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!marketTel) {
                    layer.confirm('请输入电话！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!lddep_market) {
                    layer.confirm('请选择来电单位！', {
                        btn: ['确定']
                    });
                    return;
                }

                $.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
                    callCustomer: marketName,
                    tel: marketTel,
                    lddep: lddep_market,
                    fkdep: fkdep_market,
                    fkcont: fkcont_market,
                    "token": $.cookie("token")
                }, function (result) {
                    result = $.parseJSON(result);
                    if (result.state.toLowerCase() == "success") {
                    	 loadOld();
                       $("#marketName").val('');
		                $("#marketTel").val('');
		               $("#lddep_market").val('');
		               $("#testInput1_").val('');
		               $("#fkcont_market").val('');
                        layer.msg("创建工单成功");
                    }
                })
            })
    
    //客服组增加工单
      $(".add_").click(function () {
            	//联系人
            	var callCustomer=$("#callCustomer").val();
            	//来电号码 
            	var tel=$("#Tel").val();
            	//来电单位
            	var lddep=$('#lddep').val();
            	//反馈单位 
            	var fkdep=$("#testInput_").val();
            	///工单来源id 
            	var gdly=$("#DicValueList").val();
            	//工单类型id  
            	var gdlx=$("#OPID").val();
            	//工单状态id
            	var gdzt=$("#State").val();
            	//反馈内容 
            	var fkcont=encodeURIComponent(changeEditor.html());
            	//快递信息
            	var sendmsg=$('#sendmsg').val();
            	//备注一 
            	var note1=$("#note1").val();
            	//备注二 
            	var note2=$("#note2").val();
            	//备注三
            	var note3=$("#note3").val();
            	//callid 
            	var callid=$("#hidCallID").val();
//              var tskh = $("#zxr_").val(); //联系：
//              var tsdh = $("#zxdh_").val(); //咨询电话
//              var cont = $("#zxnr_").val(); //咨询内容
//              var clcont = $("#clnr_").val(); //内容
                var type = "1";
                if (!callCustomer) {
                    layer.confirm('请输入姓名！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!tel) {
                    layer.confirm('请输入电话！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!lddep) {
                    layer.confirm('请选择来电单位！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!fkdep) {
                    layer.confirm('请选择反馈单位！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!gdly) {
                    layer.confirm('请选择工单来源！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!gdlx) {
                    layer.confirm('请选择工单类型！', {
                        btn: ['确定']
                    });
                    return;
                }
                if (!gdzt) {
                    layer.confirm('请选择工单状态！', {
                        btn: ['确定']
                    });
                    return;
                }
              
                $.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
                    callCustomer: callCustomer,
                    tel: tel,
                    lddep: lddep,
                    fkdep: fkdep,
                    gdly: gdly,
                   	gdlx: gdlx,
                    gdzt: gdzt,
                    fkcont: fkcont,
                    sendmsg:sendmsg,
                    note1:note1,
                    note2:note2,
                    note3:note3,
                    callid:callid,
                    "token": $.cookie("token")
                }, function (result) {
                    result = $.parseJSON(result);
                    if (result.state.toLowerCase() == "success") {
                        loadOld();
//                      $("#zxr_").val(''); //咨询人：
//                      $("#zxdh_").val(''); //咨询电话
//                      $("#zxnr_").val(''); //咨询内容
//                      $("#clnr_").val(''); //内容
		            	$("#callCustomer").val('');
		            	//来电号码 
		            	$("#Tel").val('');
		            	//来电单位
		            	$('#lddep').val('');
		            	//反馈单位 
		            	$("#testInput_").val('');
		            	///工单来源id 
		            	$("#DicValueList").val('');
		            	//工单类型id  
		            	$("#OPID").val('');
		            	//工单状态id
		            	$("#State").val('');
		            	//反馈内容 
		            	$("#fkcont").val('');
		            	//快递信息
		            	$('#sendmsg').val('');
		            	//备注一 
		            	$("#note1").val('');
		            	//备注二 
		            	$("#note2").val('');
		            	//备注三
		            	$("#note3").val('');
                        layer.msg("创建工单成功");
                    }
                })
            })
     
    //客户资料
            $('.khzl tbody>tr>td input').attr('readonly', true);
            $('.save').hide();
            $('.cancel').hide();
            $('.edit').click(function () {
                $('.save').show();
                $('.cancel').show();
                $('.edit').hide();
                $('.khzl tbody>tr>td input').attr('readonly', false);
                $('.khzl tbody>tr>td input').css('border-bottom', "1px solid #b3b3b3");
                $(".testInput2").show();
                $(".testInput1").css('display', "block");
                $(".ldpamter").hide();
                $(".ldlocation").hide();
            })
            $('.cancel').click(function () {
                $('.khzl tbody>tr>td input').attr('readonly', true);
                $('.khzl tbody>tr>td input').css('border', "0");
                $('.save').hide();
                $('.cancel').hide();
                $('.edit').show();
                $('.testInput2').attr('display', none);;
                $(".testInput1").hide();
                $(".ldpamter").show();
                $(".ldlocation").show();
            })
    //保存客户
     $(".save").click(function () {
            	 $('.edit').show();
            	 $('.save').hide();
            	  $('.cancel').hide();
            	 $('.khzl tbody>tr>td input').css('border', "0");
                var khid = $("#khid").val();
                var khmc = $(".khmc").val();
                var tel1 = $(".ldtel1").val();
                var testInput2=$("#testInput1").val();
                var ldlocation=$("#testInput2").val();
                if (!khmc) {
                    layer.confirm('请输入客户名称！', {
                        btn: ['确定']
                    });
                    return;
                }
                $.post(huayi.config.callcenter_url + 'Customer/AddCustomer', {
                    id: $(".hidCallID").val(),
                  	  cid:KHid,
                  	  name: khmc,
                      province:ldlocation,//省份
                     customerindustry:testInput2,//来电单位
                    mobile:tel1,
                    "token": $.cookie("token")
                }, function (result) {
                    result = $.parseJSON(result);
                    if (result.state.toLowerCase() == "success") {
                        $("#khid").val(result.data);
                        $("#tskh").val(khmc);
                        layer.msg("保存成功");
                        $('.save').hide();
                        $('.cancel').hide();
                        $('.edit').show();
                        $("#marketName").val(khmc);
                        $("#marketTel").val(tel1);
                        $("#lddepr").val(testInput2);
                        $("#callCustomer").val(khmc);//客户姓名
						$("#Tel").val(tel1);//联系电话
						$("#lddep").val(testInput2);//来电单位
                    }
                })
            })
 
    //知识库查询
        $(".searIcon").click(function () {
            loadZSK();
        })
        //历史记录查询
        $(".searchbtn").click(function () {
            loadOld();
        })
        //新增记录
        $(".addjl").click(function () {
            var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
            if (type == '3') {
                $(".addgd").show();
                $(".tbold").hide();
                Select($("#testInput_"));
            } else if (type == '1') {
                $(".zxbg").show();
                $(".tbold").hide();
				//			obj.blur(function() { //
				//				$('.testInput-list').hide();
				//			});

				//请求单位
				//
			
			
            }
        })
  
    //获取知识库
      loadZSK();
//获取知识库
        function loadZSK() {
            $.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
                "keywords": $(".search").val(),
                "token": $.cookie("token")
            }, function (result) {
                if (result.state.toLowerCase() == "success") {
                    $(".ldcr-bottom .detail-con ul").empty();
                    $(result.data).each(function (i, n) {
                        var html = '<li>' +
                            '   <div class="zhishi-title clearfix">' +
                            '	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
                            '	    <em >' + n.F_CreateOn + '</em>' +
                            '   </div>' +
                            '   <div class="explancon">' +
                            n.F_Content +
                            '   </div>' +
                            '</li>';
                        $(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function (event) {
                            event.stopPropagation();
                            if ($(this).hasClass("active")) {
                                $(this).removeClass("active")
                            } else {
                                $(".zhishi-title").removeClass("active");
                                $(this).addClass("active");
                            }
                        })
                    })
                }
            })
        }
       

$('input:radio[name="banli"]').change(function () {
        if ($(this).val() == '1') {
            $(".Nows_box").show();
        }
        else {
            $(".Nows_box").hide();
        }
    })

  //获取历史记录
  loadOld()
 //获取历史记录
   function loadOld() {
            $(".addgd").hide();
            $(".tbold").show();
            $(".zxbg").hide();
            var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
            if (type != '0') {
                $(".complain").hide();
                $(".complain").eq(1).show();
                //先销毁表格
                $('#orderlist').bootstrapTable('destroy');
                //初始化表格,动态从服务器加载数据
                $("#orderlist").bootstrapTable({
                    method: "get", //使用get请求到服务器获取数据
                    url: huayi.config.callcenter_url + "WorkOrder/GetList", //获取数据的Servlet地址
                    contentType: 'application/x-www-form-urlencoded',
                    striped: true, //表格显示条纹
                    pagination: true, //启动分页
                    pageSize: 5, //每页显示的记录数
                    pageNumber: 1, //当前第几页
                    pageList: [5, 10, 50, 100], //记录数可选列表
                    search: false, //是否启用查询
                    showColumns: false, //显示下拉框勾选要显示的列
                    showRefresh: false, //显示刷新按钮
                    sidePagination: "server", //表示服务端请求
                    //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
                    //设置为limit可以获取limit, offset, search, sort, order
                    queryParamsType: "undefined",
                    queryParams: function queryParams(params) { //设置查询参数
                        var param = {
                            page: params.pageNumber,
                            pagesize: params.pageSize,
                            tel: $(".hidTel").val(),
                            starttime: $("#con_startTime").val(),
                            endtime: $("#con_endTime").val(),
                            token: $.cookie("token"),
                             isldtp:1,
                             fkdep:$("#fkdep").val()
                             
                        };
                        return param;
                    },
                    onLoadSuccess: function () { //加载成功时执行
                        //layer.msg("加载成功");
                    },
                    onLoadError: function () { //加载失败时执行
                        //layer.msg("加载数据失败", { time: 1500, icon: 2 });
                    }
                });
            }
            else  if(type = '0'){
                $(".complain").hide();
                $(".complain").eq(0).show();
                //先销毁表格
                $('#oldlist').bootstrapTable('destroy');
                //初始化表格,动态从服务器加载数据
                $("#oldlist").bootstrapTable({
                    method: "get", //使用get请求到服务器获取数据
                    url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
                    contentType: 'application/x-www-form-urlencoded',
                    striped: true, //表格显示条纹
                    pagination: true, //启动分页
                    pageSize: 5, //每页显示的记录数
                    pageNumber: 1, //当前第几页
                    pageList: [5, 10, 50, 100], //记录数可选列表
                    search: false, //是否启用查询
                    showColumns: false, //显示下拉框勾选要显示的列
                    showRefresh: false, //显示刷新按钮
                    sidePagination: "server", //表示服务端请求
                    //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
                    //设置为limit可以获取limit, offset, search, sort, order
                    queryParamsType: "undefined",
                    queryParams: function queryParams(params) { //设置查询参数
                        var param = {
                            page: params.pageNumber,
                            pagesize: params.pageSize,
                            tel: $(".hidTel").val(),
                            starttime: $("#old_startTime").val(),
                            endtime: $("#old_endTime").val(),
                            token: $.cookie("token")
                           
                        };
                        return param;
                    },
                    onLoadSuccess: function () { //加载成功时执行
                        //layer.msg("加载成功");
                    },
                    onLoadError: function () { //加载失败时执行
                        //layer.msg("加载数据失败", { time: 1500, icon: 2 });
                    }
                });
            }else{
//          	 $(".complain").hide();
//              $(".complain").eq(1).show();
                //先销毁表格
                $('#SCorderlist').bootstrapTable('destroy');
                //初始化表格,动态从服务器加载数据
                $("#SCorderlist").bootstrapTable({
                    method: "get", //使用get请求到服务器获取数据
                    url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
                   	contentType: 'application/x-www-form-urlencoded',
                   	striped: true, //表格显示条纹
                    pagination: true, //启动分页
                    pageSize: 5, //每页显示的记录数
                    pageNumber: 1, //当前第几页
                    pageList: [5, 10, 50, 100], //记录数可选列表
                    search: false, //是否启用查询
                    showColumns: false, //显示下拉框勾选要显示的列
                    showRefresh: false, //显示刷新按钮
                    sidePagination: "server", //表示服务端请求
                    //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
                    //设置为limit可以获取limit, offset, search, sort, order
                    queryParamsType: "undefined",
                    queryParams: function queryParams(params) { //设置查询参数
                        var param = {
                            page: params.pageNumber,
                            pagesize: params.pageSize,
                            tel: $(".hidTel").val(),
                            starttime: $("#con_startTime").val(),
                            endtime: $("#con_endTime").val(),
                            token: $.cookie("token"),
//                           isldtp:1,
                             fkdep:$("#fkdep").val()
                             
                        };
                        return param;
                    },
                    onLoadSuccess: function () { //加载成功时执行
                        //layer.msg("加载成功");
                    },
                    onLoadError: function () { //加载失败时执行
                        //layer.msg("加载数据失败", { time: 1500, icon: 2 });
                    }
                });
            }
            if (type == '3') {
                getLX($("#tslx"), "TSLX");
                getBM($("#zrbmtree"));
                getBM($("#clbmtree"));
            }
        }


 function GetCallState(val) {
            if (val == '1') {
                return '已接通';
            } else {
                return '未接通';
            }
        }

   //音频
        function setCode(val) {
            if (val) {
                return '<div class="imgs" style="cursor: pointer;">' +
                    '<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
                    '</div>';
            } else {
                return '';
            }
        }
        //录音
        function ck(val) {
            var path = $(val).attr("item");
            $(".t-shade").addClass("cx");
            $(".Ly_box").empty();
            $(".down").attr("href", path);
            $('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
        }

        function GetDealState(val) {
            if (val == '1') {
                return '已处理';
            } else {
                return '未处理';
            }
        }

        function GetStateName(val) {
            var str = '';
            //switch (val + '') {
            //    case '0':
            //        str = "待指派";
            //        break;
            //    case '1':
            //        str = "处理中";
            //        break;
            //    case '2':
            //        str = "已完结";
            //        break;
            //}
            switch (val + '') {
                case '0':
                    str = "待处理";
                    break;
                case '1':
                    str = "已处理";
                    break;
            }
            return str;
        }
//截取字符串
        function GetCont(val) {
            var str = '<div '
            if (val.length > 20) {
                str = str + ' title="' + val + '" ';
                val = val.substr(0, 20) + "...";
            }
            return str + '>' + val + '</div>';
        }
        
           //获取类型
        function getLX(obj, type) {
            obj.empty();
            $.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
                "flag": type,
                "token": $.cookie("token")
            }, function (result) {
                if (result.state.toLowerCase() == "success") {
                    $(result.data).each(function (i, n) {
                        obj.append('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>');
                    })
                }
            })
        }
        //获取部门
        var setting = {
            data: {
                key: {
                    name: "F_DeptName"
                },
                simpleData: {
                    enable: true,
                    idKey: "F_DeptId",
                    pIdKey: "F_ParentId",
                    rootPId: 0
                }
            },
            callback: {
                onClick: zTreeOnClick
            }
        };

        function getBM(obj) {
            $.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
                "token": $.cookie("token")
            }, function (result) {
                if (result.state.toLowerCase() == "success") {
                    $.fn.zTree.init(obj, setting, result.data);
                }
            })
        }

        function zTreeOnClick(event, treeId, treeNode) {
            var obj = $("#" + event.data.treeId).parent();
            obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
            obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
            obj.hide();
            if (event.data.treeId == "zrbmtree") {
                getRY($("#zrid"), $("#zrbm").val());
            }
            if (event.data.treeId == "clbmtree") {
                getRY($("#clid"), $("#clbm").val());
            }
        };
        //获取人员
        function getRY(obj, deptid) {
            obj.empty();
            obj.append('<option value="">--请选择--</option>');
            $.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
                "deptid": deptid,
                "token": $.cookie("token")
            }, function (result) {
                if (result.state.toLowerCase() == "success") {
                    $(result.data).each(function (i, n) {
                        obj.append('<option value="' + n.F_UserId + '">' + n.F_UserName + '</option>');
                    })
                }
            })
        }
    //反馈单位 and来电单位
	getAccount('#fkdep');
	
//	getAccount('#fkdep_market');//反馈单位
	getAccount('#lddep_market');//来电单位
	function getAccount(obj) {
			$.ajax({
				type: "get",
				url: huayi.config.callcenter_url + "Customer/BindLDdep",
				dataType: 'json',
				async: true,
				data: {
					token: $.cookie("token")
				},
				success: function(data) {
					var Count = data.data.dep;
					$(Count).each(function(i,n){
						$("<option value='" + n + "'>" + n + "</option>").appendTo($(obj));
					})
//					$(obj).selectpicker('refresh');
				}
			});
		
		}

        $.ajax({
                url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
                type:'get',
                async:true,
                data: {
//              	tel: '123456789',
					flag:'GDLY',
                    token: $.cookie("token")
                },
                dataType: "json",
                success: function (res) {
                	if(res.state=="success"){
                		console.log(res.data);
                		$('<option value="">全部</option>').appendTo($("#DicValueList"));
                		$(res.data).each(function(i,n){
                			if(n.F_DictionaryValueId=="468"){
                				$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
                			}else{
                				$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
                			}
                			
                		})
                	}

                }
            });
             $("#citySel").focus(function () {
                if ($(".menuContent").is(":hidden")) {
                    $(".menuContent").show();
//                  alert("1");
                } else {
                    $(".menuContent").hide();
                }
            }) 
            //工单类型
            //部门
				tree() 
				function tree() {
					$.get(huayi.config.callcenter_url + "WorkType/GetTreeList", {
						"token": $.cookie("token"),
						//			"pid": pid
					}, function(result) {
						result = $.parseJSON(result);
						$.fn.zTree.init($("#treeDemo"), setting2, result.data); //实例化树形图
					});
					}
				var setting2 = {
					data: {
						key: {
							name: "text"
						},
						simpleData: {
							enable: true,
							idKey: "id",
							rootPId: 0
						}
					},
					callback: {
						onClick: addTreeClick
					}
				}
				function addTreeClick(event, treeId, treeNode) {
					IDs = treeNode.id;
					Names = treeNode.text;
					$('#citySel').val(Names);
					$("#OPID").val(IDs);
					$('.menuContent').hide()

				};
			//状态
			$.ajax({
                url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
                type:'get',
                async:true,
                data: {
					flag:'GDZT',
                    token: $.cookie("token")
                },
                dataType: "json",
                success: function (res) {
                	if(res.state=="success"){
                		console.log(res.data);
                		$('<option value="">全部</option>').appendTo($("#State"));
                		$(res.data).each(function(i,n){
                			if(n.F_DictionaryValueId=='472'){
                				$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#State"));
                			}else{
                				$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#State"));	
                			}
                		})
//              		
                	}

                }
            });
            
            
        
//查看详情
function ckxq(str) {
    layer.open({
        type: 2,
        content: "CommonHtml/WorkDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
        title: '工单详情',
        area: ['85%', '80%'], //宽高
    });
}
///
function Detail(val){
	if(val) {
					var str = '<div style="color:#e43926;" '
				
						str = str + '  title="' +decodeURIComponent(val)+ '" ';
				
					
					return str + '>' +decodeURIComponent(val)+ '</div>';
}
}


//清空
function Clean() {
    //左侧
    //debugger;
    $('.ldname').val('');//投诉人
    $('#khid').val('');
    $('.tsdh').val('');//投诉电话
    $('.ldlocation').text('未知');//归属地
    $('.lxr').val('');//联系人
    $('.lxdh').val('');//联系电话
    $('.postcode').val('');//邮编
    $('.email').val('');//email
    $('.ldtime').val('');//来电时间
    //右侧
    $("#cusname").val(''); //=投诉人姓名
    $("#cussex").val('');
    $("#cusphone").val(''); //=投诉人电话
    $("#email").val('');
    $("#zipcode").val('');
    $("#conphone").val('');
    $("#title").val('');
    $("#content").val('');
    $("#sourcearea").val(); //=事发地域id
    $('#sourceaddress').val(''); //=事发详细地址
    $("input[name='baomi'][value='1']").prop("checked", true); //=（0转办1直办）
    $("#type option:first").prop("selected", 'selected');
    $("#level option:first").prop("selected", 'selected');
    $("#keys option:first").prop("selected", 'selected');
    $("#sourcearea option:first").prop("selected", 'selected');
    $('#result').val('');

}  
	Select($("#testInput_"));
	Select($("#testInput1_"));
	Selects($("#testInput1"));
	Select($("#testInput2"));
	function Select(obj) {
				obj.click(function (event) { 
						event.preventDefault();  
					});
				obj.focus(function() { //
					//失去焦点后触发的事件
					obj.parent().find('.testInput-list').show();
					BindLDdep();
				});
				//			obj.blur(function() { //
				//				$('.testInput-list').hide();
				//			});
				obj.bind("input propertychange", function() {
					var value = $(this).val();
					obj.parent().find('.testInput-list').show();
					BindLDdep(value)
				});

				//请求单位
				function BindLDdep(str) {
					$('.testInput-list').empty();
					$.ajax({
						type: "get",
						url: huayi.config.callcenter_url + "Customer/BindLDdep",
						dataType: 'json',
						async: true,
						data: {
							keypara: str,
							token: $.cookie("token")
						},
						success: function(data) {
							var Count = data.data.dep;
							console.log(Count);
							var html = '';
							$(Count).each(function(i, n) {
								html = '<li value="' + n + '">' + n + '</li>';
								$(html).appendTo($('.testInput-list'))
							});
							$('.testInput-list>li').click(function() {
								obj.val($(this).html());
								console.log($(this).html());
								$('.testInput-list').hide();
							})
						}
					});
				};
				//
			}
			function Selects(obj) {
				obj.click(function (event) { 
						event.preventDefault();  
					});
				obj.focus(function() { //
					//失去焦点后触发的事件
					obj.parent().find('.testInput-list').show();
					BindLDdep();
				});
				//			obj.blur(function() { //
				//				$('.testInput-list').hide();
				//			});
				obj.bind("input propertychange", function() {
					var value = $(this).val();
					obj.parent().find('.testInput-list').show();
					BindLDdep(value)
				});

				//请求单位
				function BindLDdep(str) {
					$('.testInput-list').empty();
					var Count=["北京市","天津市","河北省","山西省","内蒙古","辽宁省","吉林省","黑龙江省","上海市","江苏省","浙江省","安徽省","福建省","江西省","山东省","河南省","湖北省","湖南省","广东省","广西自治区","海南省","重庆市","四川省","贵州省","云南省","西藏自治区","陕西省","甘肃省","青海省","宁夏回族自治区","新疆维吾尔自治区","香港特别行政区","澳门特别行政区","台湾省","钓鱼岛","其他附属岛屿"];
					var html = '';
					$(Count).each(function(i,n){
						html = '<li value="' + n + '">' +n + '</li>';
								$(html).appendTo($('.testInput-list'))
					});
					$('.testInput-list>li').click(function() {
								obj.val($(this).html());
								console.log($(this).html());
								$('.testInput-list').hide();
							})
		
		    		
				};
				//
			}	
			$(document).ready(function(){
				
			
									$(document).click(function(e) {
				if(!$(e.target).is($('.testInput-list>li'))&&!$(e.target).is($('#testInput_'))&&!$(e.target).is($('#testInput1_'))&&!$(e.target).is($('#testInput1'))&&!$(e.target).is($('#testInput2'))) {
					$('.testInput-list').hide();
				}
			})
		})		